X2Go Bug report logs - #283
Remove shbangs from python-x2go library code

version graph

Package: python-x2go; Maintainer for python-x2go is X2Go Developers <x2go-dev@lists.x2go.org>; Source for python-x2go is src:python-x2go.

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Fri, 2 Aug 2013 21:48:01 UTC

Severity: normal

Tags: patch, pending

Fixed in version 0.4.0.7

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#283; Package python-x2go. (Fri, 02 Aug 2013 21:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 02 Aug 2013 21:48:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: submit@bugs.x2go.org
Subject: Remove shbangs from python-x2go library code
Date: Fri, 02 Aug 2013 15:39:11 -0600
[Message part 1 (text/plain, inline)]
Package: python-x2go
Tags: patch


-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com
[0001-Remove-usr-bin-env-python-from-library-code.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#283; Package python-x2go. (Fri, 02 Aug 2013 22:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 02 Aug 2013 22:33:02 GMT) Full text and rfc822 format available.

Message #10 received at 283@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Orion Poplawski <orion@cora.nwra.com>, 283@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#283: Remove shbangs from python-x2go library code
Date: Sat, 03 Aug 2013 00:26:52 +0200
[Message part 1 (text/plain, inline)]
tag #283 approved
thanks

On Fr 02 Aug 2013 23:39:11 CEST Orion Poplawski wrote:

> Package: python-x2go
> Tags: patch

Patch is ok. Please commit and push. Add a block to /debian/changelog:

  [ Orion Paplowski ]
  * New upstream version (0.4.0.7):
    - Remove shbangs from python-x2go library code. (Fixes: #283).

Changelog lines may not exceed 80 chars.

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#283; Package python-x2go. (Sat, 03 Aug 2013 20:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 03 Aug 2013 20:33:01 GMT) Full text and rfc822 format available.

Message #15 received at 283@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 283-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 283@bugs.x2go.org
Subject: X2Go issue (in src:python-x2go) has been marked as pending for release
Date: Sat, 3 Aug 2013 22:28:11 +0200 (CEST)
tag #283 pending
fixed #283 0.4.0.7
thanks

Hello,

X2Go issue #283 (src:python-x2go) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=python-x2go.git;a=commitdiff;h=b16e046

The issue will most likely be fixed in src:python-x2go (0.4.0.7).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit b16e046161dcbdc939e786b498aa979b8916ee89
Author: Orion Poplawski <orion@cora.nwra.com>
Date:   Sat Aug 3 22:27:52 2013 +0200

    Remove shbangs from python-x2go library code. (Fixes: #283).

diff --git a/debian/changelog b/debian/changelog
index 51906d9..3eb7d5f 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,5 +1,6 @@
 python-x2go (0.4.0.7-0~x2go1) UNRELEASED; urgency=low
 
+  [ Mike Gabriel ]
   * New upstream version (0.4.0.7):
     - Drop duplicate method in terminal backend: is_desktop_session().
     - Ignore non-registered session UUIDs in X2GoClient.clean_sessions() method.
@@ -10,6 +11,10 @@ python-x2go (0.4.0.7-0~x2go1) UNRELEASED; urgency=low
   * /debian/control:
     + Replace LDAP support with session brokerage support in LONG_DESCRIPTION.
 
+  [ Orion Poplawski ]
+  * New upstream version (0.4.0.7):
+    - Remove shbangs from python-x2go library code. (Fixes: #283).
+
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 28 Jul 2013 19:48:57 +0200
 
 python-x2go (0.4.0.6-0~x2go1) unstable; urgency=low


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#283; Package python-x2go. (Sat, 03 Aug 2013 20:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 03 Aug 2013 20:33:02 GMT) Full text and rfc822 format available.

Message #20 received at 283@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 283-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 283@bugs.x2go.org
Subject: X2Go issue (in src:python-x2go) has been marked as closed
Date: Sat, 3 Aug 2013 22:29:37 +0200 (CEST)
close #283
thanks

Hello,

we are very hopeful that X2Go issue #283 reported by you
has been resolved in the new release (0.4.0.7) of the
X2Go source project »src:python-x2go«.

You can view the complete changelog entry of src:python-x2go (0.4.0.7)
below, and you can use the following link to view all the code changes
between this and the last release of src:python-x2go.

    http://code.x2go.org/gitweb?p=python-x2go.git;a=commitdiff;h=e658471d76d88c16bd17a61fca1b62ccd5a570e8;hp=3dfee636c74643c794414db4dc44c9afe1b7356d

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:python-x2go.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:python-x2go
Version: 0.4.0.7
Status: RELEASE
Date: Sat, 03 Aug 2013 22:28:13 +0200
Fixes: 283
Changes: 
 python-x2go (0.4.0.7) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream version (0.4.0.7):
     - Drop duplicate method in terminal backend: is_desktop_session().
     - Ignore non-registered session UUIDs in X2GoClient.clean_sessions() method.
     - Make _update_mounts in session registry cache more failsafe, this probably
       fixes an accumulation of server disconnects observed in recent version of
       Python X2Go.
     - Add some sanity checks before actually starting to add a session profile.
   * /debian/control:
     + Replace LDAP support with session brokerage support in LONG_DESCRIPTION.
 .
   [ Orion Poplawski ]
   * New upstream version (0.4.0.7):
     - Remove shbangs from python-x2go library code. (Fixes: #283).


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 03 Aug 2013 20:33:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 0.4.0.7. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 03 Aug 2013 20:33:02 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 03 Aug 2013 20:33:03 GMT) Full text and rfc822 format available.

Notification sent to Orion Poplawski <orion@cora.nwra.com>:
Bug acknowledged by developer. (Sat, 03 Aug 2013 20:33:03 GMT) Full text and rfc822 format available.

Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#283. (Sat, 03 Aug 2013 20:33:03 GMT) Full text and rfc822 format available.

Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#283. (Sat, 03 Aug 2013 20:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
Extra info received and filed, but not forwarded. (Tue, 06 Aug 2013 22:48:02 GMT) Full text and rfc822 format available.

Message #37 received at 283-quiet@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 283-quiet@bugs.x2go.org
Subject: Re: Bug#283: X2Go issue (in src:python-x2go) has been marked as pending for release
Date: Tue, 06 Aug 2013 16:09:40 -0600
Sorry I didn't check this in earlier.

But I noticed with 0.4.0.7 tests/runalltests.py has grown a #!/usr/bin/env 
python as well.

On 08/03/2013 02:28 PM, Mike Gabriel wrote:
> tag #283 pending
> fixed #283 0.4.0.7
> thanks
>
> Hello,
>
> X2Go issue #283 (src:python-x2go) reported by you has been
> fixed in X2Go Git. You can see the changelog below, and you can
> check the diff of the fix at:
>
>      http://code.x2go.org/gitweb?p=python-x2go.git;a=commitdiff;h=b16e046
>
> The issue will most likely be fixed in src:python-x2go (0.4.0.7).
>
> light+love
> X2Go Git Admin (on behalf of the sender of this mail)
>
> ---
> commit b16e046161dcbdc939e786b498aa979b8916ee89
> Author: Orion Poplawski <orion@cora.nwra.com>
> Date:   Sat Aug 3 22:27:52 2013 +0200
>
>      Remove shbangs from python-x2go library code. (Fixes: #283).
>
> diff --git a/debian/changelog b/debian/changelog
> index 51906d9..3eb7d5f 100644
> --- a/debian/changelog
> +++ b/debian/changelog
> @@ -1,5 +1,6 @@
>   python-x2go (0.4.0.7-0~x2go1) UNRELEASED; urgency=low
>
> +  [ Mike Gabriel ]
>     * New upstream version (0.4.0.7):
>       - Drop duplicate method in terminal backend: is_desktop_session().
>       - Ignore non-registered session UUIDs in X2GoClient.clean_sessions() method.
> @@ -10,6 +11,10 @@ python-x2go (0.4.0.7-0~x2go1) UNRELEASED; urgency=low
>     * /debian/control:
>       + Replace LDAP support with session brokerage support in LONG_DESCRIPTION.
>
> +  [ Orion Poplawski ]
> +  * New upstream version (0.4.0.7):
> +    - Remove shbangs from python-x2go library code. (Fixes: #283).
> +
>    -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 28 Jul 2013 19:48:57 +0200
>
>   python-x2go (0.4.0.6-0~x2go1) unstable; urgency=low
>


-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and filed, but not forwarded. (Wed, 07 Aug 2013 09:47:24 GMT) Full text and rfc822 format available.

Message #40 received at 283-quiet@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Orion Poplawski <orion@cora.nwra.com>
Cc: 283-quiet@bugs.x2go.org
Subject: Re: Bug#283: X2Go issue (in src:python-x2go) has been marked as pending for release
Date: Wed, 07 Aug 2013 11:46:47 +0200
[Message part 1 (text/plain, inline)]
Hi Orion,

committed and pushed.

Mike

On Mi 07 Aug 2013 00:09:40 CEST Orion Poplawski wrote:

> Sorry I didn't check this in earlier.
>
> But I noticed with 0.4.0.7 tests/runalltests.py has grown a  
> #!/usr/bin/env python as well.
>
> On 08/03/2013 02:28 PM, Mike Gabriel wrote:
>> tag #283 pending
>> fixed #283 0.4.0.7
>> thanks
>>
>> Hello,
>>
>> X2Go issue #283 (src:python-x2go) reported by you has been
>> fixed in X2Go Git. You can see the changelog below, and you can
>> check the diff of the fix at:
>>
>>     http://code.x2go.org/gitweb?p=python-x2go.git;a=commitdiff;h=b16e046
>>
>> The issue will most likely be fixed in src:python-x2go (0.4.0.7).
>>
>> light+love
>> X2Go Git Admin (on behalf of the sender of this mail)
>>
>> ---
>> commit b16e046161dcbdc939e786b498aa979b8916ee89
>> Author: Orion Poplawski <orion@cora.nwra.com>
>> Date:   Sat Aug 3 22:27:52 2013 +0200
>>
>>     Remove shbangs from python-x2go library code. (Fixes: #283).
>>
>> diff --git a/debian/changelog b/debian/changelog
>> index 51906d9..3eb7d5f 100644
>> --- a/debian/changelog
>> +++ b/debian/changelog
>> @@ -1,5 +1,6 @@
>>  python-x2go (0.4.0.7-0~x2go1) UNRELEASED; urgency=low
>>
>> +  [ Mike Gabriel ]
>>    * New upstream version (0.4.0.7):
>>      - Drop duplicate method in terminal backend: is_desktop_session().
>>      - Ignore non-registered session UUIDs in  
>> X2GoClient.clean_sessions() method.
>> @@ -10,6 +11,10 @@ python-x2go (0.4.0.7-0~x2go1) UNRELEASED; urgency=low
>>    * /debian/control:
>>      + Replace LDAP support with session brokerage support in  
>> LONG_DESCRIPTION.
>>
>> +  [ Orion Poplawski ]
>> +  * New upstream version (0.4.0.7):
>> +    - Remove shbangs from python-x2go library code. (Fixes: #283).
>> +
>>   -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 28 Jul  
>> 2013 19:48:57 +0200
>>
>>  python-x2go (0.4.0.6-0~x2go1) unstable; urgency=low
>>
>
>
> -- 
> Orion Poplawski
> Technical Manager                     303-415-9701 x222
> NWRA, Boulder/CoRA Office             FAX: 303-415-9702
> 3380 Mitchell Lane                       orion@nwra.com
> Boulder, CO 80301                   http://www.nwra.com
>



-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 05 Sep 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Apr 20 15:18:08 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.